cokrigagem <-
function(esti.par, ## Estimativas obtidas na otimizacao
                      dim.gride,  ## Dimensao da grade para predicao
                      locations, ## Coordenadas das localizacoes de predicao
                      dados.comp  ## Uma lista com os dados e as localizacoes amostradas
                       ){
  if(missing(locations)){
    rang.coord.x <- range(dados.comp[[3]][[1]])
    rang.coord.y <- range(dados.comp[[3]][[1]])
    c.x <- seq(rang.coord.x[1],rang.coord.x[2],length=dim.gride)
    c.y <- seq(rang.coord.y[1],rang.coord.y[2],length=dim.gride)
    locations <- expand.grid(c.x,c.y)
  }
  esti.par <- as.matrix(esti.par)
  n.local <- length(locations[,1])*2
  dad <- list()
  dad[[2]] <- data.frame(c(rep(0,length=n.local),dados.comp[[2]][[1]]))
  dad[[3]] <- as.data.frame(rbind(as.matrix(locations),as.matrix(dados.comp[[3]])))

  ## Reparametrizando

  theta1ck <- c(esti.par[4]/esti.par[3],esti.par[5]/esti.par[3],
              esti.par[6]/esti.par[3],esti.par[7],esti.par[8])

  ## Montando a matriz de covariancia
  sigmack <- monta.V(theta1ck,dad)
  n.local.mais <- n.local +1
  dim.matriz <- dim(sigmack)[1]
  S00 <- sigmack[c(1:n.local),c(1:n.local)]      
  S0y <- sigmack[c(1:n.local),c(n.local.mais:dim.matriz)]    
  Sy0 <- sigmack[c(n.local.mais:dim.matriz),c(1:n.local)]    
  Syy <- sigmack[c(n.local.mais:dim.matriz),c(n.local.mais:dim.matriz)]  
  muy <- rep(c(esti.par[1],esti.par[2]),length(dados.comp[[1]]$Y1))
  # Como a media de Y0 e desconhecida, esta e substituida pela media geral estimada
  muy0 <- rep(c(esti.par[1],esti.par[2]),n.local/2)
  SoyInvSyy <-  S0y %*% solve(Syy)
  
  ## Calculando a media de cokrigagem estimada:
  # muck.est nao eficiente:
  # muck.est <- muy0 + S0y %*% solve(Syy, (dados[[2]][[1]]-muy))
  muck.est <- muy0 + SoyInvSyy %*% (dados[[2]][[1]]-muy)
  
  ## Calculando a variancia de cokrigagem estimada:
  # vck.est nao eficiente:
  # vck.est <- S00 - S0y %*% solve(Syy,Sy0)
  # vck.est eficiente:
  vck.est <- S00 - SoyInvSyy %*% Sy0
  res.cokri <- list()
  res.cokri[[1]] <- muck.est
  res.cokri[[2]] <- vck.est
  if(missing(locations)) attr(res.cokri, "locations") <- locations
  return(res.cokri)
}

