posteriori <-
function(theta1,dados.comp,mediahiper,print.pars=TRUE){
  if(theta1[1] <= 0)     return(-Inf)
  if(theta1[2] <= 0)     return(-Inf)
  if(theta1[3] <= 0)     return(-Inf)
  if(theta1[4] <= 0)     return(-Inf)
  if(abs(theta1[5]) > 1) return(-Inf)
  ## Pegando o Y
  y <- dados.comp[[2]][[1]]
  X <- cbind(rep(1:0,length=length(y)),rep(0:1,length=length(y)))
  V <- monta.V(theta1, dados.comp = dados.comp)
  ldetV <- determinant(V,log=TRUE)$modulus[1]
  # mu nao eficiente:
  # mu <- drop(solve(crossprod(X,solve(V,X)))%*%crossprod(X,solve(V,y)))
  # mu eficiente:
  R <- chol(V)
  back.x <-backsolve(R,X,upper.tri=TRUE,transpose=TRUE)
  back.y <-backsolve(R,y,upper.tri=TRUE,transpose=TRUE)
  mu <- as.numeric(solve(crossprod(back.x,back.x))%*% crossprod(back.x,back.y))
  # Qe nao eficiente:
  # Qe <- drop(crossprod(y,solve(V,y))-2*crossprod(y,solve(V,X%*%mu))+
  #            crossprod(mu,crossprod(X,solve(V,X%*%mu)))) 
  # Qe eficiente:
  desvio <-y-X%*%mu
  back.desvio <- backsolve(R,desvio,upper.tri=TRUE,transpose=TRUE)
  Qe <- as.numeric(crossprod(back.desvio,back.desvio))
  if(Qe < 0) return(Qe=.Machine$double.xmax^0.5)
  n <- length(y)
  s1 <- sqrt(Qe/n)
  ll <- drop(-0.5*(n*log(2*pi)+n*log(s1^2)+ldetV+n))+
             dlnorm(theta1[1],log(0.24),sd=0.3,log=TRUE)+
             dlnorm(theta1[2],log(0.63),sd=0.3,log=TRUE)+
             dlnorm(theta1[3],log(0.59),sd=0.3,log=TRUE)+
             dgamma(theta1[4],66,1,log=TRUE)
  ## Usuario entrando com os valores dos hiperparametros
  if(length(mediahiper)==8){
    ll <- drop(-0.5*(n*log(2*pi)+n*log(s1^2)+ldetV+n))+
               dnorm(theta1[1],mediahiper[1],sd=mediahiper[5],log=TRUE)+
               dnorm(theta1[2],mediahiper[2],sd=mediahiper[6],log=TRUE)+
               dnorm(theta1[3],mediahiper[3],sd=mediahiper[7],log=TRUE)+
               dgamma(theta1[4],mediahiper[4],mediahiper[8],log=TRUE)
   }
  if(print.pars) print(c(theta1,ll))
  return(ll)
}

