\name{as.geoComp}
\alias{as.geoComp}

%- Also NEED an '\alias' for EACH other topic documented here.

\encoding{utf-8}

\title{ Transforma um data frame em um objeto da classe geoComp. }
\description{
  A função faz a transformação ALR dos dados e cria um objeto da classe \code{geoComp}.
}
\usage{
  as.geoComp(original, perc = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{original}{Data frame contendo os três componentes.}
  \item{perc}{Lógico, indicando se os dados estão expressos em valores percentuais (`perc = TRUE') ou se os dados estão em valores decimais (`perc = FALSE'). O default é `TRUE'.}
}
\details{
 As composições são preparadas para análise geoestatística bivariada.
}
\value{
  A função retorna uma lista contendo os seguintes elementos:
  \item{comp1 }{Data frame contendo os dados bivariados alr transformados.}
  \item{comp2 }{Vetor contendo os dados bivariados ALR transformados arranjados de forma intercalada por variável.}
  \item{comp3 }{Data frame contendo a localização espacial. Geralmente coordenadas Euclidianas
    num plano.}
}
\references{ 
    Aitchison, J. (1986). \emph{The Statistical analysis of compositional data}, 
    The Blackburn Press, New Jersey.  

    Martins, A. B. T., and Ribeiro Jr, P. J., and Bonat, W. H. (2009). Um modelo geoestatístico para 
    dados composicionais. \emph{Revista Brasileira de Biometria} \bold{27}, n.3, 456-477.

    Pawlowsky-Glahn, V., and Olea, R. A. (2004). \emph{Geostatistical Analysis of Compositional Data}, 
    Oxford University Press, Inc., New York.
}
\author{
  Wagner Hugo Bonat \email{wagner@leg.ufpr.br}, \cr
  Ana Beatriz Tozzo Martins \email{abtmartins@uem.br}, \cr
  Paulo Justiniano Ribeiro Jr. \email{paulojus@leg.ufpr.br}.
}
%\note{ ~~further notes~~ 
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
### Carregando pacote
require(geoComp)
### Carregando os dados
data(pivo)
### Selecionando as colunas referentes aos Componentes 1, 2 e 3, 
### Coordenada X e Coordenada Y
dados <- pivo[,c(6,7,8,1,2)]
### Transformando o objeto "dados" para a classe geoComp
dados <- as.geoComp(dados)
}
\keyword{spatial}
