\name{classificaSolo}
\alias{classificaSolo}

%- Also NEED an '\alias' for EACH other topic documented here.

\encoding{utf-8}

\title{Classificação de solo.}
\description{
  A função faz a classificação de solo em classes texturais segundo Reichardt e Timm (2004).
}

\usage{
classificaSolo(dados, class.dados = TRUE, plot.dados = TRUE, newClass = TRUE,
               new.comp, plot.new = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{dados}{Data.frame contendo 3 colunas correspondentes aos percentuais de areia, silte e argila.}
  \item{class.dados}{Lógico, indicando se a função classifica as composições de acordo com a classe textural a que pertencem ('class.dados = TRUE') ou não ('class.dados = FALSE'). O default é 'TRUE'.}
  \item{plot.dados}{Lógico, indicando se a função plota o diagrama de classificação textural incluindo as amostras ('plot.dados = TRUE') ou não ('plot.dados = FALSE'). O default é 'TRUE'.}
  \item{newClass}{Lógico, indicando se a função deve fazer a classificação de um novo vetor ('newClass = TRUE') ou não ('new.class = FALSE'). O default é 'TRUE'.}
  \item{new.comp}{Vetor trivariado correspondente a composição a ser classificada.}
  \item{plot.new}{Lógico, indicando se a função deve plotar o diagrama de classificação textural incluindo a nova composição ('plot.new = TRUE') ou não ('plot.new = FALSE'). O default é 'TRUE'.}
}
%\details{
%  ~~ If necessary, more details than the description above ~~
%}
\value{
   A função retorna a classificação de uma amostra, o diagrama de classificação textural incluindo as amostras e a nova composição e a classificação da nova composição.
}
\references{
    Reichardt, K. and Timm, L. C.(2004). \emph{Solo, Planta e Atmosfera: Conceitos, Processos e Aplicações}. 
    Manole, Barueri, SP. 
}
\author{
  Wagner Hugo Bonat \email{wagner@leg.ufpr.br}, \cr
  Ana Beatriz Tozzo Martins \email{abtmartins@uem.br}, \cr
  Paulo Justiniano Ribeiro Jr. \email{paulojus@leg.ufpr.br}. 
}
%\note{ ~~further notes~~ 
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
require(geoR)
require(geoComp)
require(sp)
data(pivo)
data(tab.coord.pol)
tab.pol <- tab.coord.pol
saida <- classificaSolo(dados=pivo[,c(6,7,8)],class.dados=TRUE,
                        plot.dados=TRUE,newClass=TRUE,
                        new.comp=c(20,10,70),plot.new=TRUE)
}
\keyword{dplot}

