\name{cokri.bayes}
\alias{cokri.bayes}

%- Also NEED an '\alias' for EACH other topic documented here.

\encoding{utf-8}

\title{Predição espacial bayesiana.}
\description{
  A função realiza o processo de predição espacial através de métodos bayesianos.
}
\usage{
  cokri.bayes(esti.par, locations, dados.comp)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{esti.par}{Matriz de estimativas dos parâmetros resultante do processo de estimação bayesiana usando o algoritmo Metropolis-Hastings.}
  \item{locations}{Data frame com as localizações de predição.}
  \item{dados.comp}{Objeto da classe geoComp.}
}
%\details{
%}
\value{
  A função retorna uma lista com os seguintes elementos:
  \item{comp1 }{matriz dos componentes preditos.}
  \item{comp2 }{data frame com as localizações de predição.}
}
\references{ 
     Martins, A. B. T., and Ribeiro Jr, P. J., and Bonat, W. H., (2009). Um modelo geoestatístico para 
     dados composicionais. \emph{Revista Brasileira de Biometria} \bold{27}, n. 3, 456-477.

     Diggle, P. J., and Ribeiro,Jr., P. J. (2007). \emph{Model-based geostatistics}. Springer Series in Statistics, USA.
}
\author{
  Wagner Hugo Bonat \email{wagner@leg.ufpr.br}, \cr
  Ana Beatriz Tozzo Martins \email{abtmartins@uem.br}, \cr
  Paulo Justiniano Ribeiro Jr. \email{paulojus@leg.ufpr.br}.
}
%\note{ ~~further notes~~ 
%~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
### Carregando pacotes
require(geoComp)
require(MCMCpack)
require(geoR)
require(MASS)
### Carregando os dados
data(pivo)
### Selecionando as colunas referentes aos componentes 1, 2 e 3, 
### Coordenada X e coordenada Y
dados <- pivo[,c(6,7,8,1,2)]
### Transformando o objeto "dados" para a classe geoComp
dados <- as.geoComp(dados)
### Fazendo estimação bayesiana
estima.bayes <- infbayes(dados,tune=c(0.5,0.5,0.5,0.5,0.5),queima=1,salto=5,
                         nsim=20,mediahiper=c())
summary(estima.bayes[[2]])
### Organizando os resultados
res.mh <- resultado.mh(resultado=estima.bayes)
res.mh.ic <- data.frame(res.mh[[2]])
names(res.mh.ic) <- c('2.5\%','media','97.5\%')
metro.bayes <- data.frame(res.mh[[1]])
### Construindo a borda da área de predição
bor <- cbind(c(0,seq(0,200,l=100),0),c(0,sqrt(200^2-seq(0,200,l=100)^2),0))
### Construindo uma grade de predição
gr <- pred_grid(bor, by=70)
### Fazendo predição espacial
cokri.bayes <- cokri.bayes(esti.par=metro.bayes,locations=gr,
                           dados.comp=dados)
}
\keyword{multivariate}
\keyword{spatial}
