\name{monta.V}
\alias{monta.V}
%- Also NEED an '\alias' for EACH other topic documented here.

\encoding{utf-8}

\title{
   Matriz de covariância.
}
\description{
   A função constrói a matriz de covariância do modelo bivariado
   onde as variáveis são dispostas de forma intercalada.
}
\usage{
   monta.V(theta1, dados.comp)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{theta1}{Vetor com valores para os parâmetros \eqn{\eta}, \eqn{\nu_1}, \eqn{\nu_2}, \eqn{\phi} e \eqn{\rho}.}
  \item{dados.comp}{Objeto da classe geoComp.}
}
%\details{
%  ~~ If necessary, more details than the description above ~~
%}
\value{
  A função retorna a matriz de covariância do modelo.
}
\references{
    Martins, A. B. T., and Ribeiro Jr, P. J., and Bonat, W. H., (2009). Um modelo geoestatístico para 
    dados composicionais. \emph{Revista Brasileira de Biometria} \bold{27}, n. 3, 456-477.
}
\author{
  Wagner Hugo Bonat \email{wagner@leg.ufpr.br}, \cr
  Ana Beatriz Tozzo Martins \email{abtmartins@uem.br}, \cr
  Paulo Justiniano Ribeiro Jr. \email{paulojus@leg.ufpr.br}.
}
%\note{ ~~further notes~~ 
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
### Carregando pacote
require(geoComp)
### Carregando dados
data(pivo)
### Selecionando dados
dados <- pivo[1:15,c(6,7,8,1,2)]
### Transformando o objeto "dados" para a classe geoComp
dados.comp <- as.geoComp(dados)
y1 <- dados.comp[[1]]$Y1
y2 <- dados.comp[[1]]$Y2
coords <- dados.comp[[3]]
### Calculando os valores iniciais 
mu1 <- mean(y1)
mu2 <- mean(y2)
var_y1 <- var(y1)
s1 <- var_y1/2
tau1 <- s1
var_y2 <- var(y2)
s2 <- var_y2/2
tau2 <- s2
dim <- range(dist(coords))
phi <- dim[1] + 0.2*(dim[2]-dim[1])  
rho <- cor(y1,y2)
y <- dados.comp[[2]][[1]]
### Reparametrizando
eta <- s2/s1
nu1 <- tau1/s1
nu2 <- tau2/s1
theta1 <- c(eta,nu1,nu2,phi,rho)
### Calculando a matriz de covariância
V <-monta.V(theta1,dados.comp)
}
\keyword{spatial}
\keyword{array}
