\name{resultado.mh}
\alias{resultado.mh}

%- Also NEED an '\alias' for EACH other topic documented here.

\encoding{utf-8}

\title{Resultados da inferência bayesiana.}
\description{
  A função organiza os resultados obtidos através do algoritmo Metropolis-Hastings e calcula os intervalos de 95\% de credibilidade.
}
\usage{
  resultado.mh(resultado)
}
\arguments{
  \item{resultado}{Lista contendo os resultados obtidos através da função \code{infbayes}.}
}
%\details{
%  ~~ If necessary, more details than the description above ~~
%}
\value{
  A função retorna uma lista contendo os seguintes elementos:
  \item{comp1 }{data frame contendo as posteriores para \eqn{\beta_1}, \eqn{\beta_2}, \eqn{\sigma_1}, \eqn{\sigma_2}, \eqn{\tau_1}, \eqn{\tau_2}, \eqn{\phi} e \eqn{\rho}.}
  \item{comp2 }{data frame contendo as esperanças a posteriori e intervalos de 95\% de credibilidade para os parâmetros do modelo.}
  \item{comp3 }{data frame contendo as estimativas obtidas no processo de otimização.}
}
\references{ 
    Martins, A. B. T., and Ribeiro Jr, P. J., and Bonat, W. H., (2009). Um modelo geoestatístico para 
    dados composicionais. \emph{Revista Brasileira de Biometria} \bold{27}, n. 3, 456-477.
}
\author{
  Wagner Hugo Bonat \email{wagner@leg.ufpr.br}, \cr
  Ana Beatriz Tozzo Martins \email{abtmartins@uem.br}, \cr
  Paulo Justiniano Ribeiro Jr. \email{paulojus@leg.ufpr.br}.
}
%\note{ ~~further notes~~ 
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
### Carregando pacotes
require(geoR)
require(geoComp)
require(MCMCpack)
require(MASS)
### Carregando os dados
data(pivo)
### Selecionando as colunas referentes aos componentes 1, 2 e 3, 
### Coordenada X e coordenada Y
dados <- pivo[,c(6,7,8,1,2)]
### Transformando o objeto "dados" para a classe geoComp
dados <- as.geoComp(dados)
### Fazendo o ajuste do modelo por métodos bayesianos
estima.bayes <- infbayes(dados,tune=c(0.5,0.5,0.5,0.5,0.5),queima=1,salto=5,
                         nsim=20,mediahiper=c())
summary(estima.bayes[[2]])
### Organizando os resultados
res.mh <- resultado.mh(resultado=estima.bayes)
res.mh.ic <- data.frame(res.mh[[2]])
names(res.mh.ic) <- c('2.5\%','media','97.5\%')
}
\keyword{manip}
